Bug 51 - Installer seems to fail to set any partitions bootable
Installer seems to fail to set any partitions bootable
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 1998-11-12 06:42 EST by Preston Brown
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-13 16:58:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Preston Brown 1998-11-12 06:42:33 EST
After a server install, the installer seems to fail to set
any partitions bootable.  Some computers need to have a
partition marked bootable to boot. :)  This failure
necessitates booting from floppy, entering fdisk, and
setting the first partition bootable before the system can
be fully usable.
Comment 1 David Lawrence 1998-11-19 08:51:59 EST
I was able to install to a machine that currently had NT 4.0 installed
on the entire hard drive. I ran the server installation and it
correctly created the partitions and was able to boot up normally.
Please let use know what the prior configuration was on your system
was before you attemmpted the server installation.
Comment 2 Edward Schlunder 1998-12-04 19:44:59 EST
No, the problem is with machihnes that have absolutely nothing on them
and you want to install Linux all by itself on the machine. In this
case, if you use Disk Druid to create your Linux partitions, the first
partition is never marked "active" and thus LILO you can't boot after
the install.

If you are installing Red Hat 5.2 on a machine with some other OS
already on it, chances are you will already have a partition marked
active and thus you'll never see this problem.
Comment 3 Preston Brown 1998-12-04 20:46:59 EST
matt/dave: I believe this is still a very valid bug.  Please take the
bootable flag off all partitions on a drive, and then wipe the
partitions, and see if an install works correctly.
Comment 4 David Lawrence 1998-12-07 16:30:59 EST
I have not been able to replicate this problem in the test lab. I
low-leveled the first few tracks of the hard disk as to emulate a
brand new hard disk with no information on it and the server install
still worked properly.
Comment 5 dank 1999-03-10 10:44:59 EST
This has become a very public bug; see Jerry Pournelle's column
in this month's resurrected Byte,

At the first installfest I attended, one user was stymied
by this bug for about an hour, until we realized the installer
had failed to mark anything bootable.

In neither of the above cases was it a server install.
I think it can happen regardless of workstation, custom,
or server install.

If you can't reproduce it, email me, and I'll try to come
up with a recipe.
Comment 6 Preston Brown 1999-03-10 11:46:59 EST
this bug is getting fixed in our next distribution.
Comment 7 Matt Wilson 1999-03-13 16:58:59 EST
Fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.